SDL_HINT_AUTO_UPDATE_JOYSTICKS(3)

NAME
SDL_HINT_AUTO_UPDATE_JOYSTICKS - A variable controlling whether SDL updates joystick state when getting input events.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_AUTO_UPDATE_JOYSTICKS "SDL_AUTO_UPDATE_JOYSTICKS"

DESCRIPTION
The variable can be set to the following values:

• "0": You'll call SDL_UpdateJoysticks() manually.

• "1": SDL will automatically call SDL_UpdateJoysticks(). (default)

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.